/**
 *
 */
package org.gcube.datacatalogue.metadatadiscovery.bean.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;


/**
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * May 27, 2016
 */
@XmlRootElement(name = "metadatavalidator")
@XmlAccessorType (XmlAccessType.FIELD)
public class MetadataValidator {

	private String regularExpression;


	/**
	 *
	 */
	public MetadataValidator() {

		super();
	}


	/**
	 * @param regularExpression
	 */
	public MetadataValidator(String regularExpression) {

		super();
		this.regularExpression = regularExpression;
	}


	/**
	 * @return the regularExpression
	 */
	public String getRegularExpression() {

		return regularExpression;
	}


	/**
	 * @param regularExpression the regularExpression to set
	 */
	public void setRegularExpression(String regularExpression) {

		this.regularExpression = regularExpression;
	}


	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {

		StringBuilder builder = new StringBuilder();
		builder.append("MetadataValidator [regularExpression=");
		builder.append(regularExpression);
		builder.append("]");
		return builder.toString();
	}


}
