/**
 *
 */
package org.gcube.datacatalogue.metadatadiscovery.bean;

import java.io.Serializable;


/**
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * Jun 7, 2016
 */
public class MetadataType implements Serializable{

	/**
	 *
	 */
	private static final long serialVersionUID = -975360133066572549L;

	private String id;
	private String name;
	private String description;

	/**
	 *
	 */
	public MetadataType() {

	}

	/**
	 * @param id
	 * @param name
	 * @param description
	 */
	public MetadataType(String id, String name, String description) {

		super();
		this.id = id;
		this.name = name;
		this.description = description;
	}


	/**
	 * @return the id
	 */
	public String getId() {

		return id;
	}


	/**
	 * @return the name
	 */
	public String getName() {

		return name;
	}


	/**
	 * @return the description
	 */
	public String getDescription() {

		return description;
	}


	/**
	 * @param id the id to set
	 */
	public void setId(String id) {

		this.id = id;
	}


	/**
	 * @param name the name to set
	 */
	public void setName(String name) {

		this.name = name;
	}


	/**
	 * @param description the description to set
	 */
	public void setDescription(String description) {

		this.description = description;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {

		StringBuilder builder = new StringBuilder();
		builder.append("MetadataType [id=");
		builder.append(id);
		builder.append(", name=");
		builder.append(name);
		builder.append(", description=");
		builder.append(description);
		builder.append("]");
		return builder.toString();
	}



}
